[Overview][Types][Procedures and functions][Index] | Reference for unit 'URIParser' (#fcl)

# ParseURI

Parse a URI and split it into its constituent parts

## Declaration

Source position: line 0

`function ParseURI(`
`const URI: String`
`):TURI; overload; function ParseURI(`
`const URI: String;`
`const DefaultProtocol: String;`
`DefaultPort: Word`
`):TURI; overload;`

## Arguments

`URI` |  | URI to decode

## Function result

Record with the URI split out in parts.

## Arguments

`URI` |  | URI to decode
`DefaultProtocol` |  | Default protocol to use if none is specified.
`DefaultPort` |  | Default port to use if none is specified.

## Function result

Record with the URI split out in parts.

## Description

ParseURI decodes URI and returns the various parts of the URI in the result record.

The function accepts the most general URI scheme:

    proto://user:pwd@host:port/path/document?params#bookmark

Missing (optional) parts in the URI will be left blank in the result record. If a default protocol and port are specified, they will be used in the record if the corresponding part is not present in the URI.

## See also

EncodeURI |  | Form a string representation of the URI

The latest version of this document can be found at lazarus-ccr.sourceforge.net .